LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
08943Bug reports[All Projects] Installationpublic2014-04-08 07:132014-04-14 09:08
Reporterpietpomp 
Assigned ToDenisChenu 
PrioritynormalSeverityminor 
StatusclosedResolutionno change required 
Product Version2.05+ 
Target VersionFixed in Version2.05+ 
Summary08943: Panel integration - URL parameters - not saving
DescriptionWhen trying to get {aParamname} added to my survey url under 'Edit survey setting' > 'Panel Integration' tab, it is not saved. And returns to admin main screen and not survey admin screen.

Manually adding the info to the DB gets it to display, but as soon as I click 'Save', the 'lime_survey_url_parameters' table is cleared again.

--
Also not saving changes I make in the template editor screen and spits a error page.
Steps To ReproduceFresh install, create survey, add group, and question.
'Edit survey setting' > 'Panel Integration' tab > Add paramater > Add >> Save.

--
Admin main screen > Template editor > Dropdown custom template > make change > Save. --> Error
Invalid screen name
Additional Informationfollowing Denis' advice from http://www.limesurvey.org/en/community-services/forums/installation-a-update-issues/96552-panel-integration-url-parameters-not-saving#107127 [^] .

> Have adjusted file/folder permissions.
> Manually injected value in DB table. (They were cleared on save)
> Fresh install, same server, no customisation ~ error persists.
> Fresh install, different host, no customisation ~ error resolved. AND was able to use template editor as expected.
> pre-install check screens attached to forum post

I am trying to find where to get more info re the server setup as a different hosting provider's servers are not giving me these issues. Even though their's is an older PHP and less RAM/CPU.

Could you please help me find the responsible (server setting)? It is important as the survey will be hosted on completely different servers and I need to be able to confirm before live if the server set-ups will work. All the min requirements are met, but something else is missing.
Thanks!
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID140320
BrowserFF, S, IE
Database & DB-VersionMySQL 5.5.36
Operating System (Server)linux
Webserver software & versionapache 2.2.26
PHP Version5.3.27
Attached Files? file icon limesurvey_survey_511469.lss [^] (12,741 bytes) 2014-04-08 07:13
xlsx file icon server info.xlsx [^] (32,375 bytes) 2014-04-14 07:25

- Relationships

-  Notes
User avatar (29696)
pietpomp (reporter)
2014-04-09 05:49

just got this via phpinfo
------------------------
server with issues:
===================

PHP Logo
PHP Version 5.3.27

System Linux vmres.xxx.com 2.6.32-458.6.2.lve1.2.30.el6.x86_64 #1 SMP Fri Jul 12 15:02:22 EEST 2013 x86_64
Build Date Dec 3 2013 23:50:24
Configure Command './configure' '--enable-bcmath' '--enable-calendar' '--enable-exif' '--enable-ftp' '--enable-gd-native-ttf' '--enable-intl' '--enable-libxml' '--enable-magic-quotes' '--enable-mbstring' '--enable-pdo=shared' '--enable-soap' '--enable-sockets' '--enable-sqlite-utf8' '--enable-zend-multibyte' '--enable-zip' '--prefix=/usr' '--with-curl=/opt/curlssl/' '--with-freetype-dir=/usr' '--with-gd' '--with-gettext' '--with-icu-dir=/usr' '--with-imap=/opt/php_with_imap_client/' '--with-imap-ssl=/usr' '--with-jpeg-dir=/usr' '--with-kerberos' '--with-libdir=lib64' '--with-libexpat-dir=/usr' '--with-libxml-dir=/opt/xml2' '--with-libxml-dir=/opt/xml2/' '--with-mcrypt=/opt/libmcrypt/' '--with-mysql=/usr' '--with-mysql-sock=/var/lib/mysql/mysql.sock' '--with-mysqli=/usr/bin/mysql_config' '--with-openssl=/usr' '--with-openssl-dir=/usr' '--with-pcre-regex=/opt/pcre' '--with-pdo-mysql=shared' '--with-pdo-sqlite=shared' '--with-pic' '--with-png-dir=/usr' '--with-pspell' '--with-sqlite=shared' '--with-tidy=/opt/tidy/' '--with-xmlrpc' '--with-xpm-dir=/usr' '--with-xsl=/opt/xslt/' '--with-zlib' '--with-zlib-dir=/usr'
Server API CGI/FastCGI
Virtual Directory Support disabled
Configuration File (php.ini) Path /usr/lib
Loaded Configuration File /usr/local/lib/php.ini
Scan this dir for additional .ini files (none)
Additional .ini files parsed (none)
PHP API 20090626
PHP Extension 20090626
Zend Extension 220090626
Zend Extension Build API220090626,NTS
PHP Extension Build API20090626,NTS
Debug Build no
Thread Safety disabled
Zend Memory Manager enabled
Zend Multibyte Support enabled
IPv6 Support enabled
Registered PHP Streams https, ftps, compress.zlib, php, file, glob, data, http, ftp, phar, zip
Registered Stream Socket Transports tcp, udp, unix, udg, ssl, sslv3, sslv2, tls
Registered Stream Filters zlib.*, convert.iconv.*, mcrypt.*, mdecrypt.*, string.rot13, string.toupper, string.tolower, string.strip_tags, convert.*, consumed, dechunk

Zend logo This program makes use of the Zend Scripting Language Engine:
Zend Engine v2.3.0, Copyright (c) 1998-2013 Zend Technologies
    with eAccelerator v0.9.6.1-ea, Copyright (c) 2004-2012 eAccelerator, by eAccelerator
    with the ionCube PHP Loader v4.4.1, Copyright (c) 2002-2013, by ionCube Ltd., and
    with Zend Guard Loader v3.3, Copyright (c) 1998-2010, by Zend Technologies
    with Suhosin v0.9.33, Copyright (c) 2007-2012, by SektionEins GmbH

PHP Credits
Configuration
bcmath
BCMath support enabled

Directive Local Value Master Value
bcmath.scale 0 0

calendar
Calendar support enabled

cgi-fcgi
Directive Local Value Master Value
cgi.check_shebang_line 1 1
cgi.discard_path 0 0
cgi.fix_pathinfo 1 1
cgi.force_redirect 1 1
cgi.nph 0 0
cgi.redirect_status_env no value no value
cgi.rfc2616_headers 0 0
fastcgi.logging 1 1

Core
PHP Version 5.3.27

Directive Local Value Master Value
allow_call_time_pass_reference On On
allow_url_fopen On On
allow_url_include Off Off
always_populate_raw_post_data Off Off
arg_separator.input & &
arg_separator.output & &
asp_tags Off Off
auto_append_file no value no value
auto_globals_jit On On
auto_prepend_file no value no value
browscap no value no value
default_charset no value no value
default_mimetype text/html text/html
define_syslog_variables Off Off
detect_unicode On On
disable_classes no value no value
disable_functions show_source, system, shell_exec, passthru, exec, popen, proc_open, allow_url_fopen show_source, system, shell_exec, passthru, exec, popen, proc_open, allow_url_fopen
display_errors Off Off
display_startup_errors Off Off
doc_root no value no value
docref_ext no value no value
docref_root no value no value
enable_dl Off Off
error_append_string no value no value
error_log no value no value
error_prepend_string no value no value
error_reporting 22519 22519
exit_on_timeout Off Off
expose_php On On
extension_dir /usr/local/lib/php/extensions/no-debug-non-zts-20090626 /usr/local/lib/php/extensions/no-debug-non-zts-20090626
file_uploads On On
highlight.bg #FFFFFF #FFFFFF
highlight.comment #FF8000 #FF8000
highlight.default #0000BB #0000BB
highlight.html #000000 #000000
highlight.keyword #007700 #007700
highlight.string #DD0000 #DD0000
html_errors On On
ignore_repeated_errors Off Off
ignore_repeated_source Off Off
ignore_user_abort Off Off
implicit_flush Off Off
include_path .:/usr/lib/php:/usr/local/lib/php .:/usr/lib/php:/usr/local/lib/php
log_errors On On
log_errors_max_len 1024 1024
magic_quotes_gpc Off Off
magic_quotes_runtime Off Off
magic_quotes_sybase Off Off
mail.add_x_header Off Off
mail.force_extra_parameters no value no value
mail.log no value no value
max_execution_time 30 30
max_file_uploads 20 20
max_input_nesting_level 64 64
max_input_time 60 60
max_input_vars 1000 1000
memory_limit 256M 256M
open_basedir no value no value
output_buffering no value no value
output_handler no value no value
post_max_size 40M 40M
precision 12 12
realpath_cache_size 16K 16K
realpath_cache_ttl 120 120
register_argc_argv On On
register_globals Off Off
register_long_arrays On On
report_memleaks On On
report_zend_debug On On
request_order no value no value
safe_mode Off Off
safe_mode_exec_dir /usr/local/php/bin /usr/local/php/bin
safe_mode_gid Off Off
safe_mode_include_dir no value no value
sendmail_from no value no value
sendmail_path /usr/sbin/sendmail -t -i /usr/sbin/sendmail -t -i
serialize_precision 100 100
short_open_tag On On
SMTP localhost localhost
smtp_port 25 25
sql.safe_mode Off Off
track_errors Off Off
unserialize_callback_func no value no value
upload_max_filesize 32M 32M
upload_tmp_dir no value no value
user_dir no value no value
user_ini.cache_ttl 300 300
user_ini.filename .user.ini .user.ini
variables_order EGPCS EGPCS
xmlrpc_error_number 0 0
xmlrpc_errors Off Off
y2k_compliance On On
zend.enable_gc On On

ctype
ctype functions enabled

curl
cURL support enabled
cURL Information 7.24.0
Age 3
Features
AsynchDNS No
Debug No
GSS-Negotiate No
IDN Yes
IPv6 Yes
Largefile Yes
NTLM Yes
SPNEGO No
SSL Yes
SSPI No
krb4 No
libz Yes
CharConv No
Protocols dict, file, ftp, ftps, gopher, http, https, imap, imaps, pop3, pop3s, rtsp, smtp, smtps, telnet, tftp
Host x86_64-unknown-linux-gnu
SSL Version OpenSSL/1.0.0
ZLib Version 1.2.3

date
date/time support enabled
"Olson" Timezone Database Version 2013.3
Timezone Database internal
Default timezone Australia/Sydney

Directive Local Value Master Value
date.default_latitude 31.7667 31.7667
date.default_longitude 35.2333 35.2333
date.sunrise_zenith 90.583333 90.583333
date.sunset_zenith 90.583333 90.583333
date.timezone Australia/Sydney Australia/Sydney

dom
DOM/XML enabled
DOM/XML API Version 20031129
libxml Version 2.9.0
HTML Support enabled
XPath Support enabled
XPointer Support enabled
Schema Support enabled
RelaxNG Support enabled

eAccelerator
eAccelerator support enabled
Version 0.9.6.1-ea
Caching Enabled true
Optimizer Enabled true
Check mtime Enabled true
Memory Size 16,777,152 Bytes
Memory Available 2,884,176 Bytes
Memory Allocated 13,892,976 Bytes
Cached Scripts 104
Removed Scripts 0

Directive Local Value Master Value
eaccelerator.allowed_admin_path no value no value
eaccelerator.cache_dir /home/eaccelerator /home/eaccelerator
eaccelerator.check_mtime 1 1
eaccelerator.debug 0 0
eaccelerator.enable 1 1
eaccelerator.filter no value no value
eaccelerator.log_file no value no value
eaccelerator.optimizer 1 1
eaccelerator.shm_only 0 0
eaccelerator.shm_prune_period 0 0
eaccelerator.shm_size 16 16
eaccelerator.shm_ttl 0 0

ereg
Regex Library Bundled library enabled

exif
EXIF Support enabled
EXIF Version 1.4 $Id$
Supported EXIF Version 0220
Supported filetypes JPEG,TIFF

Directive Local Value Master Value
exif.decode_jis_intel JIS JIS
exif.decode_jis_motorola JIS JIS
exif.decode_unicode_intel UCS-2LE UCS-2LE
exif.decode_unicode_motorola UCS-2BE UCS-2BE
exif.encode_jis no value no value
exif.encode_unicode ISO-8859-15 ISO-8859-15

fileinfo
fileinfo support enabled
version 1.0.5-dev

filter
Input Validation and Filtering enabled
Revision $Id: 209a1c3c98c04a5474846e7bbe8ca72054ccfd4f $

Directive Local Value Master Value
filter.default unsafe_raw unsafe_raw
filter.default_flags no value no value

ftp
FTP support enabled

gd
GD Support enabled
GD Version bundled (2.1.0 compatible)
FreeType Support enabled
FreeType Linkage with freetype
FreeType Version 2.3.11
GIF Read Support enabled
GIF Create Support enabled
JPEG Support enabled
libJPEG Version 6b
PNG Support enabled
libPNG Version 1.2.49
WBMP Support enabled
XPM Support enabled
libXpm Version 30411
XBM Support enabled

Directive Local Value Master Value
gd.jpeg_ignore_warning 0 0

gettext
GetText Support enabled

hash
hash support enabled
Hashing Engines md2 md4 md5 sha1 sha224 sha256 sha384 sha512 ripemd128 ripemd160 ripemd256 ripemd320 whirlpool tiger128,3 tiger160,3 tiger192,3 tiger128,4 tiger160,4 tiger192,4 snefru snefru256 gost adler32 crc32 crc32b salsa10 salsa20 haval128,3 haval160,3 haval192,3 haval224,3 haval256,3 haval128,4 haval160,4 haval192,4 haval224,4 haval256,4 haval128,5 haval160,5 haval192,5 haval224,5 haval256,5

htscanner
htscanner support enabled
PECL Module version 1.0.1 ($Id: htscanner.c 312503 2011-06-26 17:56:58Z derick $)

Directive Local Value Master Value
htscanner.config_file .htaccess .htaccess
htscanner.default_docroot /home /home
htscanner.default_ttl 300 300
htscanner.stop_on_error 0 0
htscanner.verbose 0 0

iconv
iconv support enabled
iconv implementation glibc
iconv library version 2.12

Directive Local Value Master Value
iconv.input_encoding ISO-8859-1 ISO-8859-1
iconv.internal_encoding ISO-8859-1 ISO-8859-1
iconv.output_encoding ISO-8859-1 ISO-8859-1

imagick
imagick module enabled
imagick module version 3.1.2
imagick classes Imagick, ImagickDraw, ImagickPixel, ImagickPixelIterator
ImageMagick version ImageMagick 6.5.4-7 2014-02-10 Q16 OpenMP http://www.imagemagick.org [^]
ImageMagick copyright Copyright (C) 1999-2009 ImageMagick Studio LLC
ImageMagick release date 2014-02-10
ImageMagick number of supported formats: 199
ImageMagick supported formats A, AI, ART, ARW, AVI, AVS, B, BGR, BMP, BMP2, BMP3, BRF, BRG, C, CALS, CAPTION, CIN, CIP, CLIP, CMYK, CMYKA, CR2, CRW, CUR, CUT, DCM, DCR, DCX, DDS, DFONT, DNG, DOT, DPS, DPX, EPDF, EPI, EPS, EPS2, EPS3, EPSF, EPSI, EPT, EPT2, EPT3, ERF, EXR, FAX, FITS, FRACTAL, FTS, G, G3, GBR, GIF, GIF87, GRADIENT, GRAY, GRB, HALD, HISTOGRAM, HRZ, HTM, HTML, ICB, ICO, ICON, INFO, INLINE, IPL, ISOBRL, JNG, JP2, JPC, JPEG, JPG, JPX, K, K25, KDC, LABEL, M, M2V, M4V, MAP, MAT, MATTE, MIFF, MNG, MONO, MOV, MP4, MPC, MPEG, MPG, MRW, MSL, MSVG, MTV, MVG, NEF, NULL, O, ORF, OTB, OTF, PAL, PALM, PAM, PATTERN, PBM, PCD, PCDS, PCL, PCT, PCX, PDB, PDF, PDFA, PEF, PFA, PFB, PFM, PGM, PGX, PICON, PICT, PIX, PJPEG, PLASMA, PNG, PNG24, PNG32, PNG8, PNM, PPM, PREVIEW, PS, PS2, PS3, PSD, PTIF, PWP, R, RADIAL-GRADIENT, RAF, RAS, RBG, RGB, RGBA, RGBO, RLA, RLE, SCR, SCT, SFW, SGI, SHTML, SR2, SRF, STEGANO, SUN, SVG, SVGZ, TEXT, TGA, THUMBNAIL, TIFF, TIFF64, TILE, TIM, TTC, TTF, TXT, UBRL, UIL, UYVY, VDA, VICAR, VID, VIFF, VST, WBMP, WMF, WMV, WMZ, WPG, X, X3F, XBM, XC, XCF, XPM, XPS, XV, XWD, Y, YCbCr, YCbCrA, YUV

Directive Local Value Master Value
imagick.locale_fix 0 0
imagick.progress_monitor 0 0

imap
IMAP c-Client Version 2007f
SSL Support enabled
Kerberos Support enabled

intl
Internationalization support enabled
version 1.1.0
ICU version 4.2.1

Directive Local Value Master Value
intl.default_locale no value no value
intl.error_level 0 0

json
json support enabled
json version 1.2.1

libxml
libXML support active
libXML Compiled Version 2.9.0
libXML Loaded Version 20900
libXML streams enabled

mbstring
Multibyte Support enabled
Multibyte string engine libmbfl
HTTP input encoding translation disabled

mbstring extension makes use of "streamable kanji code filter and converter", which is distributed under the GNU Lesser General Public License version 2.1.

Multibyte (japanese) regex support enabled
Multibyte regex (oniguruma) backtrack check On
Multibyte regex (oniguruma) version 4.7.1

Directive Local Value Master Value
mbstring.detect_order no value no value
mbstring.encoding_translation Off Off
mbstring.func_overload 0 0
mbstring.http_input pass pass
mbstring.http_output pass pass
mbstring.http_output_conv_mimetypes ^(text/|application/xhtml\+xml) ^(text/|application/xhtml\+xml)
mbstring.internal_encoding no value no value
mbstring.language neutral neutral
mbstring.script_encoding no value no value
mbstring.strict_detection Off Off
mbstring.substitute_character no value no value

mcrypt
mcrypt support enabled
mcrypt_filter support enabled
Version 2.5.8
Api No 20021217
Supported ciphers cast-128 gost rijndael-128 twofish arcfour cast-256 loki97 rijndael-192 saferplus wake blowfish-compat des rijndael-256 serpent xtea blowfish enigma rc2 tripledes
Supported modes cbc cfb ctr ecb ncfb nofb ofb stream

Directive Local Value Master Value
mcrypt.algorithms_dir no value no value
mcrypt.modes_dir no value no value

mysql
MySQL Support enabled
Active Persistent Links 0
Active Links 0
Client API version 5.5.36
MYSQL_MODULE_TYPE external
MYSQL_SOCKET /var/lib/mysql/mysql.sock
MYSQL_INCLUDE -I/usr/include/mysql
MYSQL_LIBS -L/usr/lib64 -lmysqlclient

Directive Local Value Master Value
mysql.allow_local_infile On On
mysql.allow_persistent Off Off
mysql.connect_timeout 60 60
mysql.default_host no value no value
mysql.default_password no value no value
mysql.default_port no value no value
mysql.default_socket /var/lib/mysql/mysql.sock /var/lib/mysql/mysql.sock
mysql.default_user no value no value
mysql.max_links Unlimited Unlimited
mysql.max_persistent Unlimited Unlimited
mysql.trace_mode Off Off

mysqli
MysqlI Support enabled
Client API library version 5.5.36
Active Persistent Links 0
Inactive Persistent Links 0
Active Links 0
Client API header version 5.5.32
MYSQLI_SOCKET /var/lib/mysql/mysql.sock

Directive Local Value Master Value
mysqli.allow_local_infile On On
mysqli.allow_persistent On On
mysqli.default_host no value no value
mysqli.default_port 3306 3306
mysqli.default_pw no value no value
mysqli.default_socket /var/lib/mysql/mysql.sock /var/lib/mysql/mysql.sock
mysqli.default_user no value no value
mysqli.max_links Unlimited Unlimited
mysqli.max_persistent Unlimited Unlimited
mysqli.reconnect Off Off

openssl
OpenSSL support enabled
OpenSSL Library Version OpenSSL 1.0.1e-fips 11 Feb 2013
OpenSSL Header Version OpenSSL 1.0.1e-fips 11 Feb 2013

pcre
PCRE (Perl Compatible Regular Expressions) Support enabled
PCRE Library Version 8.21 2011-12-12

Directive Local Value Master Value
pcre.backtrack_limit 1000000 1000000
pcre.recursion_limit 100000 100000

PDO
PDO support enabled
PDO drivers sqlite, sqlite2, mysql

pdo_mysql
PDO Driver for MySQL enabled
Client API version 5.5.36

Directive Local Value Master Value
pdo_mysql.default_socket /var/lib/mysql/mysql.sock /var/lib/mysql/mysql.sock

pdo_sqlite
PDO Driver for SQLite 3.x enabled
SQLite Library 3.7.7.1

Phar
Phar: PHP Archive support enabled
Phar EXT version 2.0.1
Phar API version 1.1.1
SVN revision $Id: 21d763042eb5769ae0a09dc1118df2b5aae6fb33 $
Phar-based phar archives enabled
Tar-based phar archives enabled
ZIP-based phar archives enabled
gzip compression enabled
bzip2 compression disabled (install pecl/bz2)
OpenSSL support enabled

Phar based on pear/PHP_Archive, original concept by Davey Shafik.
Phar fully realized by Gregory Beaver and Marcus Boerger.
Portions of tar implementation Copyright (c) 2003-2009 Tim Kientzle.

Directive Local Value Master Value
phar.cache_list no value no value
phar.readonly On On
phar.require_hash On On

posix
Revision $Id: 5a2da3946b96c5afbf3aff8db8a8681f8bedee85 $

pspell
PSpell Support enabled

Reflection
Reflection enabled
Version $Id: 4af6c4c676864b1c0bfa693845af0688645c37cf $

session
Session Support enabled
Registered save handlers files user sqlite
Registered serializer handlers php php_binary

Directive Local Value Master Value
session.auto_start Off Off
session.bug_compat_42 On On
session.bug_compat_warn On On
session.cache_expire 180 180
session.cache_limiter nocache nocache
session.cookie_domain no value no value
session.cookie_httponly Off Off
session.cookie_lifetime 0 0
session.cookie_path / /
session.cookie_secure Off Off
session.entropy_file no value no value
session.entropy_length 0 0
session.gc_divisor 100 100
session.gc_maxlifetime 1440 1440
session.gc_probability 1 1
session.hash_bits_per_character 4 4
session.hash_function 0 0
session.name PHPSESSID PHPSESSID
session.referer_check no value no value
session.save_handler files files
session.save_path /tmp /tmp
session.serialize_handler php php
session.use_cookies On On
session.use_only_cookies On On
session.use_trans_sid 0 0

SimpleXML
Simplexml support enabled
Revision $Id: 02ab7893b36d51e9c59da77d7e287eb3b35e1e32 $
Schema support enabled

soap
Soap Client enabled
Soap Server enabled

Directive Local Value Master Value
soap.wsdl_cache 1 1
soap.wsdl_cache_dir /tmp /tmp
soap.wsdl_cache_enabled 1 1
soap.wsdl_cache_limit 5 5
soap.wsdl_cache_ttl 86400 86400

sockets
Sockets Support enabled

SPL
SPL support enabled
Interfaces Countable, OuterIterator, RecursiveIterator, SeekableIterator, SplObserver, SplSubject
Classes AppendIterator, ArrayIterator, ArrayObject, BadFunctionCallException, BadMethodCallException, CachingIterator, DirectoryIterator, DomainException, EmptyIterator, FilesystemIterator, FilterIterator, GlobIterator, InfiniteIterator, InvalidArgumentException, IteratorIterator, LengthException, LimitIterator, LogicException, MultipleIterator, NoRewindIterator, OutOfBoundsException, OutOfRangeException, OverflowException, ParentIterator, RangeException, RecursiveArrayIterator, RecursiveCachingIterator, RecursiveDirectoryIterator, RecursiveFilterIterator, RecursiveIteratorIterator, RecursiveRegexIterator, RecursiveTreeIterator, RegexIterator, RuntimeException, SplDoublyLinkedList, SplFileInfo, SplFileObject, SplFixedArray, SplHeap, SplMinHeap, SplMaxHeap, SplObjectStorage, SplPriorityQueue, SplQueue, SplStack, SplTempFileObject, UnderflowException, UnexpectedValueException

SQLite
SQLite support enabled
PECL Module version 2.0-dev $Id$
SQLite Library 2.8.17
SQLite Encoding UTF-8

Directive Local Value Master Value
sqlite.assoc_case 0 0

sqlite3
SQLite3 support enabled
SQLite3 module version 0.7-dev
SQLite Library 3.7.7.1

Directive Local Value Master Value
sqlite3.extension_dir no value no value

standard
Dynamic Library Support enabled
Path to sendmail /usr/sbin/sendmail -t -i

Directive Local Value Master Value
assert.active 1 1
assert.bail 0 0
assert.callback no value no value
assert.quiet_eval 0 0
assert.warning 1 1
auto_detect_line_endings 0 0
default_socket_timeout 60 60
from no value no value
safe_mode_allowed_env_vars PHP_ PHP_
safe_mode_protected_env_vars LD_LIBRARY_PATH LD_LIBRARY_PATH
url_rewriter.tags a=href,area=href,frame=src,input=src,form=,fieldset= a=href,area=href,frame=src,input=src,form=,fieldset=
user_agent no value no value

suhosin
Suhosin logo This server is protected with the Suhosin Extension 0.9.33

Copyright (c) 2006-2007 Hardened-PHP Project
Copyright (c) 2007-2012 SektionEins GmbH

Directive Local Value Master Value
suhosin.apc_bug_workaround Off Off
suhosin.cookie.checkraddr 0 0
suhosin.cookie.cryptdocroot On On
suhosin.cookie.cryptkey [ protected ] [ protected ]
suhosin.cookie.cryptlist no value no value
suhosin.cookie.cryptraddr 0 0
suhosin.cookie.cryptua On On
suhosin.cookie.disallow_nul 1 1
suhosin.cookie.disallow_ws 1 1
suhosin.cookie.encrypt Off Off
suhosin.cookie.max_array_depth 50 50
suhosin.cookie.max_array_index_length 64 64
suhosin.cookie.max_name_length 64 64
suhosin.cookie.max_totalname_length 256 256
suhosin.cookie.max_value_length 10000 10000
suhosin.cookie.max_vars 100 100
suhosin.cookie.plainlist no value no value
suhosin.coredump Off Off
suhosin.disable.display_errors Off Off
suhosin.executor.allow_symlink Off Off
suhosin.executor.disable_emodifier Off Off
suhosin.executor.disable_eval Off Off
suhosin.executor.eval.blacklist no value no value
suhosin.executor.eval.whitelist no value no value
suhosin.executor.func.blacklist no value no value
suhosin.executor.func.whitelist no value no value
suhosin.executor.include.allow_writable_files On On
suhosin.executor.include.blacklist no value no value
suhosin.executor.include.max_traversal 0 0
suhosin.executor.include.whitelist phar phar
suhosin.executor.max_depth 0 0
suhosin.filter.action no value no value
suhosin.get.disallow_nul 1 1
suhosin.get.disallow_ws 0 0
suhosin.get.max_array_depth 50 50
suhosin.get.max_array_index_length 64 64
suhosin.get.max_name_length 2048 2048
suhosin.get.max_totalname_length 256 256
suhosin.get.max_value_length 2048 2048
suhosin.get.max_vars 100 100
suhosin.log.file 0 0
suhosin.log.file.name no value no value
suhosin.log.phpscript 0 0
suhosin.log.phpscript.is_safe Off Off
suhosin.log.phpscript.name no value no value
suhosin.log.sapi 0 0
suhosin.log.script 0 0
suhosin.log.script.name no value no value
suhosin.log.syslog no value no value
suhosin.log.syslog.facility no value no value
suhosin.log.syslog.priority no value no value
suhosin.log.use-x-forwarded-for Off Off
suhosin.mail.protect 0 0
suhosin.memory_limit 256M 256M
suhosin.mt_srand.ignore On On
suhosin.multiheader Off Off
suhosin.perdir e e
suhosin.post.disallow_nul 1 1
suhosin.post.disallow_ws 0 0
suhosin.post.max_array_depth 50 50
suhosin.post.max_array_index_length 64 64
suhosin.post.max_name_length 64 64
suhosin.post.max_totalname_length 256 256
suhosin.post.max_value_length 1000000 1000000
suhosin.post.max_vars 4096 4096
suhosin.protectkey On On
suhosin.request.disallow_nul 1 1
suhosin.request.disallow_ws 0 0
suhosin.request.max_array_depth 50 50
suhosin.request.max_array_index_length 64 64
suhosin.request.max_totalname_length 256 256
suhosin.request.max_value_length 1000000 1000000
suhosin.request.max_varname_length 2048 2048
suhosin.request.max_vars 4096 4096
suhosin.server.encode On On
suhosin.server.strip On On
suhosin.session.checkraddr 0 0
suhosin.session.cryptdocroot On On
suhosin.session.cryptkey [ protected ] [ protected ]
suhosin.session.cryptraddr 0 0
suhosin.session.cryptua Off Off
suhosin.session.encrypt Off Off
suhosin.session.max_id_length 128 128
suhosin.simulation Off Off
suhosin.sql.bailout_on_error Off Off
suhosin.sql.comment 0 0
suhosin.sql.multiselect 0 0
suhosin.sql.opencomment 0 0
suhosin.sql.union 0 0
suhosin.sql.user_postfix no value no value
suhosin.sql.user_prefix no value no value
suhosin.srand.ignore On On
suhosin.stealth On On
suhosin.upload.disallow_binary 0 0
suhosin.upload.disallow_elf 1 1
suhosin.upload.max_uploads 25 25
suhosin.upload.remove_binary 0 0
suhosin.upload.verification_script no value no value

tidy
Tidy support enabled
libTidy Release 25 March 2009
Extension Version 2.0 ($Id$)

Directive Local Value Master Value
tidy.clean_output 0 0
tidy.default_config no value no value

tokenizer
Tokenizer Support enabled

webpay
Comment Value
Client Type webpayPHP5
Webpay PHP Library webpay_php.so
Webpay PHP Library Version 3.3
Webpay Core Library libwebpayclient.so
Webpay Core Library Version 1.17
Operating Environment Detected .x86_64

xml
XML Support active
XML Namespace Support active
EXPAT Version expat_2.0.1

xmlreader
XMLReader enabled

xmlrpc
core library version xmlrpc-epi v. 0.51
php extension version 0.51
author Dan Libby
homepage http://xmlrpc-epi.sourceforge.net [^]
open sourced by Epinions.com

xmlwriter
XMLWriter enabled

xsl
XSL enabled
libxslt Version 1.1.27
libxslt compiled against libxml Version 2.9.0
EXSLT enabled
libexslt Version 1.1.27

Zend Guard Loader
Zend Guard Loader enabled
License Path no value
Obfuscation level 3

zip
Zip enabled
Extension Version $Id: b1a1a3628c4ed0ad78fb0cc4a99b06a56aa281c4 $
Zip version 1.11.0
Libzip version 0.10.1

zlib
ZLib Support enabled
Stream Wrapper support compress.zlib://
Stream Filter support zlib.inflate, zlib.deflate
Compiled Version 1.2.3
Linked Version 1.2.3

Directive Local Value Master Value
zlib.output_compression Off Off
zlib.output_compression_level -1 -1
zlib.output_handler no value no value

Additional Modules
Module Name
ionCube Loader

Environment
Variable Value
PHPRC /usr/local/lib
PHP_FCGI_CHILDREN 0
PATH /usr/local/bin:/usr/bin:/bin
PWD /usr/local/cpanel/cgi-sys
SHLVL 0
PHP_FCGI_MAX_REQUESTS 600

PHP Variables
Variable Value
_REQUEST["PHPSESSID"] 5fbb14f8d22b9c30263fc51fbd0457f2
_REQUEST["YII_CSRF_TOKEN"] 27a95e45c47fe333f2302d9ec463f0cc0533184d
_COOKIE["PHPSESSID"] 5fbb14f8d22b9c30263fc51fbd0457f2
_COOKIE["YII_CSRF_TOKEN"] 27a95e45c47fe333f2302d9ec463f0cc0533184d
_SERVER["PHPRC"] /usr/local/lib
_SERVER["PHP_FCGI_CHILDREN"] 0
_SERVER["PATH"] /sbin:/usr/sbin:/bin:/usr/bin
_SERVER["PWD"] /usr/local/cpanel/cgi-sys
_SERVER["SHLVL"] 0
_SERVER["PHP_FCGI_MAX_REQUESTS"] 600
_SERVER["FCGI_ROLE"] RESPONDER
_SERVER["UNIQUE_ID"] U0TCMGUAdAIAA7-awvkAAAAP
_SERVER["GEOIP_ADDR"] xxx
_SERVER["GEOIP_CONTINENT_CODE"] OC
_SERVER["GEOIP_COUNTRY_CODE"] AU
_SERVER["GEOIP_COUNTRY_NAME"] Australia
_SERVER["HTTP_HOST"] data.xxx.com.au
_SERVER["HTTP_USER_AGENT"] Mozilla/5.0 (Windows NT 6.1; WOW64; rv:28.0) Gecko/20100101 Firefox/28.0
_SERVER["HTTP_ACCEPT"] text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
_SERVER["HTTP_ACCEPT_LANGUAGE"] en-US,en;q=0.5
_SERVER["HTTP_ACCEPT_ENCODING"] gzip, deflate
_SERVER["HTTP_COOKIE"] PHPSESSID=5fbb14f8d22b9c30263fc51fbd0457f2; YII_CSRF_TOKEN=27a95e45c47fe333f2302d9ec463f0cc0533184d
_SERVER["HTTP_CONNECTION"] close
_SERVER["SERVER_SIGNATURE"] no value
_SERVER["SERVER_SOFTWARE"] Apache
_SERVER["SERVER_NAME"] data.xxx.com.au
_SERVER["SERVER_ADDR"] xxx
_SERVER["SERVER_PORT"] 80
_SERVER["REMOTE_ADDR"] xxx
_SERVER["DOCUMENT_ROOT"] /home/xxx/subdomains/data
_SERVER["SERVER_ADMIN"] webmaster@data.xxx
_SERVER["SCRIPT_FILENAME"] /home/xxx/subdomains/data/more.php
_SERVER["REMOTE_PORT"] 62992
_SERVER["GATEWAY_INTERFACE"] CGI/1.1
_SERVER["SERVER_PROTOCOL"] HTTP/1.1
_SERVER["REQUEST_METHOD"] GET
_SERVER["QUERY_STRING"] no value
_SERVER["REQUEST_URI"] /more.php
_SERVER["SCRIPT_NAME"] /more.php
_SERVER["PHP_SELF"] /more.php
_SERVER["REQUEST_TIME"] 1397015088
_SERVER["argv"]

Array
(
)

_SERVER["argc"] 0
_ENV["PHPRC"] /usr/local/lib
_ENV["PHP_FCGI_CHILDREN"] 0
_ENV["PATH"] /sbin:/usr/sbin:/bin:/usr/bin
_ENV["PWD"] /usr/local/cpanel/cgi-sys
_ENV["SHLVL"] 0
_ENV["PHP_FCGI_MAX_REQUESTS"] 600
_ENV["FCGI_ROLE"] RESPONDER
_ENV["UNIQUE_ID"] U0TCMGUAdAIAA7-awvkAAAAP
_ENV["GEOIP_ADDR"] xxx
_ENV["GEOIP_CONTINENT_CODE"] OC
_ENV["GEOIP_COUNTRY_CODE"] AU
_ENV["GEOIP_COUNTRY_NAME"] Australia
_ENV["HTTP_HOST"] data.xxx.com.au
_ENV["HTTP_USER_AGENT"] Mozilla/5.0 (Windows NT 6.1; WOW64; rv:28.0) Gecko/20100101 Firefox/28.0
_ENV["HTTP_ACCEPT"] text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
_ENV["HTTP_ACCEPT_LANGUAGE"] en-US,en;q=0.5
_ENV["HTTP_ACCEPT_ENCODING"] gzip, deflate
_ENV["HTTP_COOKIE"] PHPSESSID=5fbb14f8d22b9c30263fc51fbd0457f2; YII_CSRF_TOKEN=27a95e45c47fe333f2302d9ec463f0cc0533184d
_ENV["HTTP_CONNECTION"] close
_ENV["SERVER_SIGNATURE"] no value
_ENV["SERVER_SOFTWARE"] Apache
_ENV["SERVER_NAME"] data.xxx.com.au
_ENV["SERVER_ADDR"] 1xxx
_ENV["SERVER_PORT"] 80
_ENV["REMOTE_ADDR"] xxx
_ENV["DOCUMENT_ROOT"] /home/xxx/subdomains/data
_ENV["SERVER_ADMIN"] webmaster@data.xxx
_ENV["SCRIPT_FILENAME"] /home/xxx/subdomains/data/more.php
_ENV["REMOTE_PORT"] 62992
_ENV["GATEWAY_INTERFACE"] CGI/1.1
_ENV["SERVER_PROTOCOL"] HTTP/1.1
_ENV["REQUEST_METHOD"] GET
_ENV["QUERY_STRING"] no value
_ENV["REQUEST_URI"] /more.php
_ENV["SCRIPT_NAME"] /more.php
User avatar (29697)
pietpomp (reporter)
2014-04-09 05:53

just got this via phpinfo
------------------------
server withOUT issues (works OK):
=================================

PHP Logo
PHP Version 5.3.26

System Linux cp-.xxx.com 2.6.18-448.16.1.el5.lve0.8.70 #1 SMP Wed Sep 4 19:35:44 EEST 2013 x86_64
Build Date Jun 15 2013 16:48:46
Configure Command './configure' '--disable-fileinfo' '--enable-bcmath' '--enable-calendar' '--enable-ftp' '--enable-gd-native-ttf' '--enable-libxml' '--enable-magic-quotes' '--enable-mbstring' '--enable-pdo=shared' '--enable-soap' '--enable-sockets' '--enable-zip' '--prefix=/usr' '--with-bz2' '--with-curl=/opt/curlssl/' '--with-freetype-dir=/usr' '--with-gd' '--with-imap=/opt/php_with_imap_client/' '--with-imap-ssl=/usr' '--with-jpeg-dir=/usr' '--with-kerberos' '--with-libdir=lib64' '--with-libexpat-dir=/usr' '--with-libxml-dir=/opt/xml2' '--with-libxml-dir=/opt/xml2/' '--with-mcrypt=/opt/libmcrypt/' '--with-mysql=/usr' '--with-mysql-sock=/var/lib/mysql/mysql.sock' '--with-mysqli=/usr/bin/mysql_config' '--with-openssl=/usr' '--with-openssl-dir=/usr' '--with-pcre-regex=/opt/pcre' '--with-pdo-mysql=shared' '--with-pdo-sqlite=shared' '--with-pic' '--with-png-dir=/usr' '--with-sqlite=shared' '--with-xmlrpc' '--with-xpm-dir=/usr' '--with-xsl=/opt/xslt/' '--with-zlib' '--with-zlib-dir=/usr'
Server API CGI/FastCGI
Virtual Directory Support disabled
Configuration File (php.ini) Path /usr/lib
Loaded Configuration File /usr/selector.etc/php.ini
Scan this dir for additional .ini files (none)
Additional .ini files parsed (none)
PHP API 20090626
PHP Extension 20090626
Zend Extension 220090626
Zend Extension Build API220090626,NTS
PHP Extension Build API20090626,NTS
Debug Build no
Thread Safety disabled
Zend Memory Manager enabled
Zend Multibyte Support disabled
IPv6 Support enabled
Registered PHP Streams https, ftps, compress.zlib, compress.bzip2, php, file, glob, data, http, ftp, phar, zip
Registered Stream Socket Transports tcp, udp, unix, udg, ssl, sslv3, sslv2, tls
Registered Stream Filters zlib.*, bzip2.*, convert.iconv.*, mcrypt.*, mdecrypt.*, string.rot13, string.toupper, string.tolower, string.strip_tags, convert.*, consumed, dechunk

Zend logo This program makes use of the Zend Scripting Language Engine:
Zend Engine v2.3.0, Copyright (c) 1998-2013 Zend Technologies
    with the ionCube PHP Loader v4.2.2, Copyright (c) 2002-2012, by ionCube Ltd., and
    with Zend Guard Loader v3.3, Copyright (c) 1998-2010, by Zend Technologies
    with Suhosin v0.9.33, Copyright (c) 2007-2012, by SektionEins GmbH

PHP Credits
Configuration
bcmath
BCMath support enabled

Directive Local Value Master Value
bcmath.scale 0 0

bz2
BZip2 Support Enabled
Stream Wrapper support compress.bzip2://
Stream Filter support bzip2.decompress, bzip2.compress
BZip2 Version 1.0.3, 15-Feb-2005

calendar
Calendar support enabled

cgi-fcgi
Directive Local Value Master Value
cgi.check_shebang_line 1 1
cgi.discard_path 0 0
cgi.fix_pathinfo 1 1
cgi.force_redirect 1 1
cgi.nph 0 0
cgi.redirect_status_env no value no value
cgi.rfc2616_headers 0 0
fastcgi.logging 1 1

Core
PHP Version 5.3.26

Directive Local Value Master Value
allow_call_time_pass_reference On On
allow_url_fopen On On
allow_url_include Off Off
always_populate_raw_post_data Off Off
arg_separator.input & &
arg_separator.output & &
asp_tags Off Off
auto_append_file no value no value
auto_globals_jit On On
auto_prepend_file no value no value
browscap no value no value
default_charset no value no value
default_mimetype text/html text/html
define_syslog_variables Off Off
disable_classes no value no value
disable_functions show_source, system, shell_exec, popen, proc_open, allow_url_fopen show_source, system, shell_exec, popen, proc_open, allow_url_fopen
display_errors On On
display_startup_errors Off Off
doc_root no value no value
docref_ext no value no value
docref_root no value no value
enable_dl Off Off
error_append_string no value no value
error_log error_log error_log
error_prepend_string no value no value
error_reporting 22519 22519
exit_on_timeout Off Off
expose_php On On
extension_dir /usr/local/lib/php/extensions/no-debug-non-zts-20090626 /usr/local/lib/php/extensions/no-debug-non-zts-20090626
file_uploads On On
highlight.bg #FFFFFF #FFFFFF
highlight.comment #FF8000 #FF8000
highlight.default #0000BB #0000BB
highlight.html #000000 #000000
highlight.keyword #007700 #007700
highlight.string #DD0000 #DD0000
html_errors On On
ignore_repeated_errors Off Off
ignore_repeated_source Off Off
ignore_user_abort Off Off
implicit_flush Off Off
include_path .:/usr/lib/php:/usr/local/lib/php .:/usr/lib/php:/usr/local/lib/php
log_errors On On
log_errors_max_len 1024 1024
magic_quotes_gpc On On
magic_quotes_runtime Off Off
magic_quotes_sybase Off Off
mail.add_x_header Off Off
mail.force_extra_parameters no value no value
mail.log no value no value
max_execution_time 30 30
max_file_uploads 20 20
max_input_nesting_level 64 64
max_input_time 60 60
max_input_vars 1000 1000
memory_limit 192M 192M
open_basedir no value no value
output_buffering no value no value
output_handler no value no value
post_max_size 8M 8M
precision 12 12
realpath_cache_size 16K 16K
realpath_cache_ttl 120 120
register_argc_argv On On
register_globals Off Off
register_long_arrays On On
report_memleaks On On
report_zend_debug On On
request_order no value no value
safe_mode Off Off
safe_mode_exec_dir /usr/local/php/bin /usr/local/php/bin
safe_mode_gid Off Off
safe_mode_include_dir no value no value
sendmail_from no value no value
sendmail_path /usr/sbin/sendmail -t -i /usr/sbin/sendmail -t -i
serialize_precision 100 100
short_open_tag On On
SMTP localhost localhost
smtp_port 25 25
sql.safe_mode Off Off
track_errors Off Off
unserialize_callback_func no value no value
upload_max_filesize 20M 20M
upload_tmp_dir no value no value
user_dir no value no value
user_ini.cache_ttl 300 300
user_ini.filename .user.ini .user.ini
variables_order EGPCS EGPCS
xmlrpc_error_number 0 0
xmlrpc_errors Off Off
y2k_compliance On On
zend.enable_gc On On

ctype
ctype functions enabled

curl
cURL support enabled
cURL Information 7.24.0
Age 3
Features
AsynchDNS No
Debug No
GSS-Negotiate No
IDN Yes
IPv6 Yes
Largefile Yes
NTLM Yes
SPNEGO No
SSL Yes
SSPI No
krb4 No
libz Yes
CharConv No
Protocols dict, file, ftp, ftps, gopher, http, https, imap, imaps, pop3, pop3s, rtsp, smtp, smtps, telnet, tftp
Host x86_64-unknown-linux-gnu
SSL Version OpenSSL/0.9.8b
ZLib Version 1.2.3

date
date/time support enabled
"Olson" Timezone Database Version 2013.3
Timezone Database internal
Default timezone Australia/Melbourne

Directive Local Value Master Value
date.default_latitude 31.7667 31.7667
date.default_longitude 35.2333 35.2333
date.sunrise_zenith 90.583333 90.583333
date.sunset_zenith 90.583333 90.583333
date.timezone Australia/Melbourne Australia/Melbourne

dom
DOM/XML enabled
DOM/XML API Version 20031129
libxml Version 2.9.0
HTML Support enabled
XPath Support enabled
XPointer Support enabled
Schema Support enabled
RelaxNG Support enabled

ereg
Regex Library Bundled library enabled

filter
Input Validation and Filtering enabled
Revision $Id: 209a1c3c98c04a5474846e7bbe8ca72054ccfd4f $

Directive Local Value Master Value
filter.default unsafe_raw unsafe_raw
filter.default_flags no value no value

ftp
FTP support enabled

gd
GD Support enabled
GD Version bundled (2.1.0 compatible)
FreeType Support enabled
FreeType Linkage with freetype
FreeType Version 2.2.1
GIF Read Support enabled
GIF Create Support enabled
JPEG Support enabled
libJPEG Version 6b
PNG Support enabled
libPNG Version 1.2.10
WBMP Support enabled
XPM Support enabled
libXpm Version 30411
XBM Support enabled

Directive Local Value Master Value
gd.jpeg_ignore_warning 0 0

hash
hash support enabled
Hashing Engines md2 md4 md5 sha1 sha224 sha256 sha384 sha512 ripemd128 ripemd160 ripemd256 ripemd320 whirlpool tiger128,3 tiger160,3 tiger192,3 tiger128,4 tiger160,4 tiger192,4 snefru snefru256 gost adler32 crc32 crc32b salsa10 salsa20 haval128,3 haval160,3 haval192,3 haval224,3 haval256,3 haval128,4 haval160,4 haval192,4 haval224,4 haval256,4 haval128,5 haval160,5 haval192,5 haval224,5 haval256,5

iconv
iconv support enabled
iconv implementation glibc
iconv library version 2.5

Directive Local Value Master Value
iconv.input_encoding ISO-8859-1 ISO-8859-1
iconv.internal_encoding ISO-8859-1 ISO-8859-1
iconv.output_encoding ISO-8859-1 ISO-8859-1

imagick
imagick module enabled
imagick module version 3.0.1
imagick classes Imagick, ImagickDraw, ImagickPixel, ImagickPixelIterator
ImageMagick version ImageMagick 6.7.1-7 2012-01-16 Q16 http://www.imagemagick.org [^]
ImageMagick copyright Copyright (C) 1999-2011 ImageMagick Studio LLC
ImageMagick release date 2012-01-16
ImageMagick number of supported formats: 193
ImageMagick supported formats 3FR, A, AAI, AI, ART, ARW, AVI, AVS, B, BMP, BMP2, BMP3, C, CAL, CALS, CANVAS, CAPTION, CIN, CIP, CLIP, CMYK, CMYKA, CR2, CRW, CUR, CUT, DCM, DCR, DCX, DDS, DFONT, DNG, DPX, EPDF, EPI, EPS, EPS2, EPS3, EPSF, EPSI, EPT, EPT2, EPT3, ERF, FAX, FITS, FRACTAL, FTS, G, G3, GIF, GIF87, GRADIENT, GRAY, GROUP4, HALD, HDR, HISTOGRAM, HRZ, HTM, HTML, ICB, ICO, ICON, INFO, INLINE, IPL, JNG, JPEG, JPG, K, K25, KDC, LABEL, M, M2V, M4V, MAC, MAP, MAT, MATTE, MIFF, MNG, MONO, MOV, MP4, MPC, MPEG, MPG, MRW, MSL, MSVG, MTV, MVG, NEF, NULL, O, ORF, OTB, OTF, PAL, PALM, PAM, PATTERN, PBM, PCD, PCDS, PCL, PCT, PCX, PDB, PDF, PDFA, PEF, PES, PFA, PFB, PFM, PGM, PICON, PICT, PIX, PJPEG, PLASMA, PNG, PNG24, PNG32, PNG8, PNM, PPM, PREVIEW, PS, PS2, PS3, PSB, PSD, PTIF, PWP, R, RADIAL-GRADIENT, RAF, RAS, RGB, RGBA, RGBO, RLA, RLE, SCR, SCT, SFW, SGI, SHTML, SR2, SRF, STEGANO, SUN, SVG, SVGZ, TEXT, TGA, THUMBNAIL, TIFF, TIFF64, TILE, TIM, TTC, TTF, TXT, UIL, UYVY, VDA, VICAR, VID, VIFF, VST, WBMP, WMF, WMV, WMZ, WPG, X, X3F, XBM, XC, XCF, XPM, XPS, XV, XWD, Y, YCbCr, YCbCrA, YUV

Directive Local Value Master Value
imagick.locale_fix 0 0
imagick.progress_monitor 0 0

imap
IMAP c-Client Version 2007f
SSL Support enabled
Kerberos Support enabled

json
json support enabled
json version 1.2.1

libxml
libXML support active
libXML Compiled Version 2.9.0
libXML Loaded Version 20900
libXML streams enabled

mbstring
Multibyte Support enabled
Multibyte string engine libmbfl
HTTP input encoding translation disabled

mbstring extension makes use of "streamable kanji code filter and converter", which is distributed under the GNU Lesser General Public License version 2.1.

Multibyte (japanese) regex support enabled
Multibyte regex (oniguruma) backtrack check On
Multibyte regex (oniguruma) version 4.7.1

Directive Local Value Master Value
mbstring.detect_order no value no value
mbstring.encoding_translation Off Off
mbstring.func_overload 0 0
mbstring.http_input pass pass
mbstring.http_output pass pass
mbstring.http_output_conv_mimetypes ^(text/|application/xhtml\+xml) ^(text/|application/xhtml\+xml)
mbstring.internal_encoding no value no value
mbstring.language neutral neutral
mbstring.strict_detection Off Off
mbstring.substitute_character no value no value

mcrypt
mcrypt support enabled
mcrypt_filter support enabled
Version 2.5.8
Api No 20021217
Supported ciphers cast-128 gost rijndael-128 twofish arcfour cast-256 loki97 rijndael-192 saferplus wake blowfish-compat des rijndael-256 serpent xtea blowfish enigma rc2 tripledes
Supported modes cbc cfb ctr ecb ncfb nofb ofb stream

Directive Local Value Master Value
mcrypt.algorithms_dir no value no value
mcrypt.modes_dir no value no value

mysql
MySQL Support enabled
Active Persistent Links 0
Active Links 0
Client API version 5.5.36
MYSQL_MODULE_TYPE external
MYSQL_SOCKET /var/lib/mysql/mysql.sock
MYSQL_INCLUDE -I/usr/include/mysql
MYSQL_LIBS -L/usr/lib64 -lmysqlclient

Directive Local Value Master Value
mysql.allow_local_infile On On
mysql.allow_persistent On On
mysql.connect_timeout 60 60
mysql.default_host no value no value
mysql.default_password no value no value
mysql.default_port no value no value
mysql.default_socket /var/lib/mysql/mysql.sock /var/lib/mysql/mysql.sock
mysql.default_user no value no value
mysql.max_links Unlimited Unlimited
mysql.max_persistent Unlimited Unlimited
mysql.trace_mode Off Off

mysqli
MysqlI Support enabled
Client API library version 5.5.36
Active Persistent Links 0
Inactive Persistent Links 0
Active Links 0
Client API header version 5.5.31
MYSQLI_SOCKET /var/lib/mysql/mysql.sock

Directive Local Value Master Value
mysqli.allow_local_infile On On
mysqli.allow_persistent On On
mysqli.default_host no value no value
mysqli.default_port 3306 3306
mysqli.default_pw no value no value
mysqli.default_socket /var/lib/mysql/mysql.sock /var/lib/mysql/mysql.sock
mysqli.default_user no value no value
mysqli.max_links Unlimited Unlimited
mysqli.max_persistent Unlimited Unlimited
mysqli.reconnect Off Off

openssl
OpenSSL support enabled
OpenSSL Library Version OpenSSL 0.9.8e-fips-rhel5 01 Jul 2008
OpenSSL Header Version OpenSSL 0.9.8e-fips-rhel5 01 Jul 2008

pcre
PCRE (Perl Compatible Regular Expressions) Support enabled
PCRE Library Version 8.21 2011-12-12

Directive Local Value Master Value
pcre.backtrack_limit 1000000 1000000
pcre.recursion_limit 100000 100000

PDO
PDO support enabled
PDO drivers sqlite, sqlite2, mysql

pdo_mysql
PDO Driver for MySQL enabled
Client API version 5.5.36

Directive Local Value Master Value
pdo_mysql.default_socket /var/lib/mysql/mysql.sock /var/lib/mysql/mysql.sock

pdo_sqlite
PDO Driver for SQLite 3.x enabled
SQLite Library 3.7.7.1

Phar
Phar: PHP Archive support enabled
Phar EXT version 2.0.1
Phar API version 1.1.1
SVN revision $Id: 21d763042eb5769ae0a09dc1118df2b5aae6fb33 $
Phar-based phar archives enabled
Tar-based phar archives enabled
ZIP-based phar archives enabled
gzip compression enabled
bzip2 compression enabled
OpenSSL support enabled

Phar based on pear/PHP_Archive, original concept by Davey Shafik.
Phar fully realized by Gregory Beaver and Marcus Boerger.
Portions of tar implementation Copyright (c) 2003-2009 Tim Kientzle.

Directive Local Value Master Value
phar.cache_list no value no value
phar.readonly On On
phar.require_hash On On

posix
Revision $Id: 5a2da3946b96c5afbf3aff8db8a8681f8bedee85 $

Reflection
Reflection enabled
Version $Id: 4af6c4c676864b1c0bfa693845af0688645c37cf $

session
Session Support enabled
Registered save handlers files user sqlite
Registered serializer handlers php php_binary

Directive Local Value Master Value
session.auto_start Off Off
session.bug_compat_42 On On
session.bug_compat_warn On On
session.cache_expire 180 180
session.cache_limiter nocache nocache
session.cookie_domain no value no value
session.cookie_httponly Off Off
session.cookie_lifetime 0 0
session.cookie_path / /
session.cookie_secure Off Off
session.entropy_file no value no value
session.entropy_length 0 0
session.gc_divisor 100 100
session.gc_maxlifetime 1440 1440
session.gc_probability 1 1
session.hash_bits_per_character 4 4
session.hash_function 0 0
session.name PHPSESSID PHPSESSID
session.referer_check no value no value
session.save_handler files files
session.save_path /tmp /tmp
session.serialize_handler php php
session.use_cookies On On
session.use_only_cookies On On
session.use_trans_sid 0 0

SimpleXML
Simplexml support enabled
Revision $Id: 02ab7893b36d51e9c59da77d7e287eb3b35e1e32 $
Schema support enabled

soap
Soap Client enabled
Soap Server enabled

Directive Local Value Master Value
soap.wsdl_cache 1 1
soap.wsdl_cache_dir /tmp /tmp
soap.wsdl_cache_enabled 1 1
soap.wsdl_cache_limit 5 5
soap.wsdl_cache_ttl 86400 86400

sockets
Sockets Support enabled

SPL
SPL support enabled
Interfaces Countable, OuterIterator, RecursiveIterator, SeekableIterator, SplObserver, SplSubject
Classes AppendIterator, ArrayIterator, ArrayObject, BadFunctionCallException, BadMethodCallException, CachingIterator, DirectoryIterator, DomainException, EmptyIterator, FilesystemIterator, FilterIterator, GlobIterator, InfiniteIterator, InvalidArgumentException, IteratorIterator, LengthException, LimitIterator, LogicException, MultipleIterator, NoRewindIterator, OutOfBoundsException, OutOfRangeException, OverflowException, ParentIterator, RangeException, RecursiveArrayIterator, RecursiveCachingIterator, RecursiveDirectoryIterator, RecursiveFilterIterator, RecursiveIteratorIterator, RecursiveRegexIterator, RecursiveTreeIterator, RegexIterator, RuntimeException, SplDoublyLinkedList, SplFileInfo, SplFileObject, SplFixedArray, SplHeap, SplMinHeap, SplMaxHeap, SplObjectStorage, SplPriorityQueue, SplQueue, SplStack, SplTempFileObject, UnderflowException, UnexpectedValueException

SQLite
SQLite support enabled
PECL Module version 2.0-dev $Id$
SQLite Library 2.8.17
SQLite Encoding iso8859

Directive Local Value Master Value
sqlite.assoc_case 0 0

sqlite3
SQLite3 support enabled
SQLite3 module version 0.7-dev
SQLite Library 3.7.7.1

Directive Local Value Master Value
sqlite3.extension_dir no value no value

standard
Dynamic Library Support enabled
Path to sendmail /usr/sbin/sendmail -t -i

Directive Local Value Master Value
assert.active 1 1
assert.bail 0 0
assert.callback no value no value
assert.quiet_eval 0 0
assert.warning 1 1
auto_detect_line_endings 0 0
default_socket_timeout 60 60
from no value no value
safe_mode_allowed_env_vars PHP_ PHP_
safe_mode_protected_env_vars LD_LIBRARY_PATH LD_LIBRARY_PATH
url_rewriter.tags a=href,area=href,frame=src,input=src,form=,fieldset= a=href,area=href,frame=src,input=src,form=,fieldset=
user_agent no value no value

suhosin
Suhosin logo This server is protected with the Suhosin Extension 0.9.33

Copyright (c) 2006-2007 Hardened-PHP Project
Copyright (c) 2007-2012 SektionEins GmbH

Directive Local Value Master Value
suhosin.apc_bug_workaround Off Off
suhosin.cookie.checkraddr 0 0
suhosin.cookie.cryptdocroot On On
suhosin.cookie.cryptkey [ protected ] [ protected ]
suhosin.cookie.cryptlist no value no value
suhosin.cookie.cryptraddr 0 0
suhosin.cookie.cryptua On On
suhosin.cookie.disallow_nul 1 1
suhosin.cookie.disallow_ws 1 1
suhosin.cookie.encrypt Off Off
suhosin.cookie.max_array_depth 50 50
suhosin.cookie.max_array_index_length 64 64
suhosin.cookie.max_name_length 64 64
suhosin.cookie.max_totalname_length 256 256
suhosin.cookie.max_value_length 10000 10000
suhosin.cookie.max_vars 100 100
suhosin.cookie.plainlist no value no value
suhosin.coredump Off Off
suhosin.disable.display_errors Off Off
suhosin.executor.allow_symlink Off Off
suhosin.executor.disable_emodifier Off Off
suhosin.executor.disable_eval Off Off
suhosin.executor.eval.blacklist no value no value
suhosin.executor.eval.whitelist no value no value
suhosin.executor.func.blacklist no value no value
suhosin.executor.func.whitelist no value no value
suhosin.executor.include.allow_writable_files On On
suhosin.executor.include.blacklist no value no value
suhosin.executor.include.max_traversal 0 0
suhosin.executor.include.whitelist no value no value
suhosin.executor.max_depth 0 0
suhosin.filter.action no value no value
suhosin.get.disallow_nul 1 1
suhosin.get.disallow_ws 0 0
suhosin.get.max_array_depth 50 50
suhosin.get.max_array_index_length 64 64
suhosin.get.max_name_length 64 64
suhosin.get.max_totalname_length 256 256
suhosin.get.max_value_length 512 512
suhosin.get.max_vars 100 100
suhosin.log.file 0 0
suhosin.log.file.name no value no value
suhosin.log.phpscript 0 0
suhosin.log.phpscript.is_safe Off Off
suhosin.log.phpscript.name no value no value
suhosin.log.sapi 0 0
suhosin.log.script 0 0
suhosin.log.script.name no value no value
suhosin.log.syslog no value no value
suhosin.log.syslog.facility no value no value
suhosin.log.syslog.priority no value no value
suhosin.log.use-x-forwarded-for Off Off
suhosin.mail.protect 0 0
suhosin.memory_limit 0 0
suhosin.mt_srand.ignore On On
suhosin.multiheader Off Off
suhosin.perdir 0 0
suhosin.post.disallow_nul 1 1
suhosin.post.disallow_ws 0 0
suhosin.post.max_array_depth 50 50
suhosin.post.max_array_index_length 64 64
suhosin.post.max_name_length 64 64
suhosin.post.max_totalname_length 256 256
suhosin.post.max_value_length 1000000 1000000
suhosin.post.max_vars 1000 1000
suhosin.protectkey On On
suhosin.request.disallow_nul 1 1
suhosin.request.disallow_ws 0 0
suhosin.request.max_array_depth 50 50
suhosin.request.max_array_index_length 64 64
suhosin.request.max_totalname_length 256 256
suhosin.request.max_value_length 1000000 1000000
suhosin.request.max_varname_length 64 64
suhosin.request.max_vars 1000 1000
suhosin.server.encode On On
suhosin.server.strip On On
suhosin.session.checkraddr 0 0
suhosin.session.cryptdocroot On On
suhosin.session.cryptkey [ protected ] [ protected ]
suhosin.session.cryptraddr 0 0
suhosin.session.cryptua Off Off
suhosin.session.encrypt On On
suhosin.session.max_id_length 128 128
suhosin.simulation Off Off
suhosin.sql.bailout_on_error Off Off
suhosin.sql.comment 0 0
suhosin.sql.multiselect 0 0
suhosin.sql.opencomment 0 0
suhosin.sql.union 0 0
suhosin.sql.user_postfix no value no value
suhosin.sql.user_prefix no value no value
suhosin.srand.ignore On On
suhosin.stealth On On
suhosin.upload.disallow_binary 0 0
suhosin.upload.disallow_elf 1 1
suhosin.upload.max_uploads 25 25
suhosin.upload.remove_binary 0 0
suhosin.upload.verification_script no value no value

timezonedb
Alternative Timezone Database enabled
Timezone Database Version 2013.3

tokenizer
Tokenizer Support enabled

xml
XML Support active
XML Namespace Support active
EXPAT Version expat_1.95.8

xmlreader
XMLReader enabled

xmlrpc
core library version xmlrpc-epi v. 0.51
php extension version 0.51
author Dan Libby
homepage http://xmlrpc-epi.sourceforge.net [^]
open sourced by Epinions.com

xmlwriter
XMLWriter enabled

xsl
XSL enabled
libxslt Version 1.1.27
libxslt compiled against libxml Version 2.9.0
EXSLT enabled
libexslt Version 1.1.27

Zend Guard Loader
Zend Guard Loader enabled
License Path no value
Obfuscation level 3

zip
Zip enabled
Extension Version $Id: b1a1a3628c4ed0ad78fb0cc4a99b06a56aa281c4 $
Zip version 1.11.0
Libzip version 0.10.1

zlib
ZLib Support enabled
Stream Wrapper support compress.zlib://
Stream Filter support zlib.inflate, zlib.deflate
Compiled Version 1.2.3
Linked Version 1.2.3

Directive Local Value Master Value
zlib.output_compression Off Off
zlib.output_compression_level -1 -1
zlib.output_handler no value no value

Additional Modules
Module Name
ionCube Loader

Environment
Variable Value
DOCUMENT_ROOT /home/xxx/subdomains/data4
GATEWAY_INTERFACE CGI/1.1
HTTP_ACCEPT text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
HTTP_ACCEPT_ENCODING gzip, deflate
HTTP_ACCEPT_LANGUAGE en-US,en;q=0.5
HTTP_CONNECTION keep-alive
HTTP_COOKIE PHPSESSID=bd674d4d555c0929993ac995a159d372
HTTP_HOST data4.xxx.com.au
HTTP_USER_AGENT Mozilla/5.0 (Windows NT 6.1; WOW64; rv:28.0) Gecko/20100101 Firefox/28.0
PATH /bin:/usr/bin
QUERY_STRING no value
REDIRECT_STATUS 200
REMOTE_ADDR xxx
REMOTE_PORT 62995
REQUEST_METHOD GET
REQUEST_URI /more.php
SCRIPT_FILENAME /home/xxx/subdomains/data4/more.php
SCRIPT_NAME /more.php
SERVER_ADDR xxx
SERVER_ADMIN webmaster@data4.xxx.com.au
SERVER_NAME data4.xxx.com.au
SERVER_PORT 80
SERVER_PROTOCOL HTTP/1.1
SERVER_SIGNATURE no value
SERVER_SOFTWARE Apache
UNIQUE_ID U0TCNxuDRQIACoCTvBoAAAAN

PHP Variables
Variable Value
_REQUEST["PHPSESSID"] bd674d4d555c0929993ac995a159d372
_COOKIE["PHPSESSID"] bd674d4d555c0929993ac995a159d372
_SERVER["DOCUMENT_ROOT"] /home/xxx/subdomains/data4
_SERVER["GATEWAY_INTERFACE"] CGI/1.1
_SERVER["HTTP_ACCEPT"] text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
_SERVER["HTTP_ACCEPT_ENCODING"] gzip, deflate
_SERVER["HTTP_ACCEPT_LANGUAGE"] en-US,en;q=0.5
_SERVER["HTTP_CONNECTION"] keep-alive
_SERVER["HTTP_COOKIE"] PHPSESSID=bd674d4d555c0929993ac995a159d372
_SERVER["HTTP_HOST"] data4.xxx.com.au
_SERVER["HTTP_USER_AGENT"] Mozilla/5.0 (Windows NT 6.1; WOW64; rv:28.0) Gecko/20100101 Firefox/28.0
_SERVER["PATH"] /bin:/usr/bin
_SERVER["QUERY_STRING"] no value
_SERVER["REDIRECT_STATUS"] 200
_SERVER["REMOTE_ADDR"] xxx
_SERVER["REMOTE_PORT"] 62995
_SERVER["REQUEST_METHOD"] GET
_SERVER["REQUEST_URI"] /more.php
_SERVER["SCRIPT_FILENAME"] /home/xxx/subdomains/data4/more.php
_SERVER["SCRIPT_NAME"] /more.php
_SERVER["SERVER_ADDR"] xxx
_SERVER["SERVER_ADMIN"] webmaster@data4.xxx.com.au
_SERVER["SERVER_NAME"] data4.xxx.com.au
_SERVER["SERVER_PORT"] 80
_SERVER["SERVER_PROTOCOL"] HTTP/1.1
_SERVER["SERVER_SIGNATURE"] no value
_SERVER["SERVER_SOFTWARE"] Apache
_SERVER["UNIQUE_ID"] U0TCNxuDRQIACoCTvBoAAAAN
_SERVER["PHP_SELF"] /more.php
_SERVER["REQUEST_TIME"] 1397015096
_SERVER["argv"]

Array
(
)

_SERVER["argc"] 0
_ENV["DOCUMENT_ROOT"] /home/xxx/subdomains/data4
_ENV["GATEWAY_INTERFACE"] CGI/1.1
_ENV["HTTP_ACCEPT"] text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
_ENV["HTTP_ACCEPT_ENCODING"] gzip, deflate
_ENV["HTTP_ACCEPT_LANGUAGE"] en-US,en;q=0.5
_ENV["HTTP_CONNECTION"] keep-alive
_ENV["HTTP_COOKIE"] PHPSESSID=bd674d4d555c0929993ac995a159d372
_ENV["HTTP_HOST"] data4.xxx.com.au
_ENV["HTTP_USER_AGENT"] Mozilla/5.0 (Windows NT 6.1; WOW64; rv:28.0) Gecko/20100101 Firefox/28.0
_ENV["PATH"] /bin:/usr/bin
_ENV["QUERY_STRING"] no value
_ENV["REDIRECT_STATUS"] 200
_ENV["REMOTE_ADDR"] xxx
_ENV["REMOTE_PORT"] 62995
_ENV["REQUEST_METHOD"] GET
_ENV["REQUEST_URI"] /more.php
_ENV["SCRIPT_FILENAME"] /home/xxx/subdomains/data4/more.php
_ENV["SCRIPT_NAME"] /more.php
_ENV["SERVER_ADDR"] xxx
_ENV["SERVER_ADMIN"] webmaster@data4.xxx.com.au
_ENV["SERVER_NAME"] data4.xxx.com.au
_ENV["SERVER_PORT"] 80
_ENV["SERVER_PROTOCOL"] HTTP/1.1
_ENV["SERVER_SIGNATURE"] no value
_ENV["SERVER_SOFTWARE"] Apache
_ENV["UNIQUE_ID"] U0TCNxuDRQIACoCTvBoAAAAN
User avatar (29698)
DenisChenu (developer)
2014-04-09 09:56

suhosin....

Set suhosin.simulation = on fix this issue ....
User avatar (29699)
pietpomp (reporter)
2014-04-09 10:12

Thx Denis,
But looking at the NON-working server (1st report) and working server (2nd report) above shows both as suhosin.simulation Off Off

Or am I looking at the wrong entry?
User avatar (29715)
pietpomp (reporter)
2014-04-11 11:50

Did you have a chance to look at this again?
User avatar (29724)
pietpomp (reporter)
2014-04-14 06:47

Under > PHP display_errors are Off.
Will turning this on make my debug mode display messages?
ATM debug in either mode do not give me any messages.

Looking at the above the working and not-working have suhosin.simulation as Off,but one has suhosin.memory_limit set.

> Then what about mysql.allow_persistent. Is that important?
User avatar (29725)
pietpomp (reporter)
2014-04-14 09:03

host assisted in disabling mod_security for the specific account. Resolved issue re URL parameters as well as template editor.

-thanks can close this-
User avatar (29727)
DenisChenu (developer)
2014-04-14 09:08

http://manual.limesurvey.org/Troubleshooting#Error_.22Session_has_expired.22 [^]

- Issue History
Date Modified Username Field Change
2014-04-08 07:13 pietpomp New Issue
2014-04-08 07:13 pietpomp File Added: limesurvey_survey_511469.lss
2014-04-08 09:32 c_schmitz Assigned To => DenisChenu
2014-04-08 09:32 c_schmitz Status new => assigned
2014-04-09 05:49 pietpomp Note Added: 29696
2014-04-09 05:53 pietpomp Note Added: 29697
2014-04-09 09:56 DenisChenu Note Added: 29698
2014-04-09 10:12 pietpomp Note Added: 29699
2014-04-11 11:50 pietpomp Note Added: 29715
2014-04-14 06:47 pietpomp Note Added: 29724
2014-04-14 07:25 pietpomp File Added: server info.xlsx
2014-04-14 09:03 pietpomp Note Added: 29725
2014-04-14 09:07 DenisChenu Note Added: 29726
2014-04-14 09:08 DenisChenu Note Deleted: 29726
2014-04-14 09:08 DenisChenu Note Added: 29727
2014-04-14 09:08 DenisChenu Status assigned => closed
2014-04-14 09:08 DenisChenu Resolution open => no change required
2014-04-14 09:08 DenisChenu Fixed in Version => 2.05+


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker